// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		1863A3D423326AEB001C2F96 /* GetVideoResponse.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1863A3D123326AEB001C2F96 /* GetVideoResponse.swift */; };
		1863A3D523326AEB001C2F96 /* Video.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1863A3D223326AEB001C2F96 /* Video.swift */; };
		1863A3D623326AEB001C2F96 /* VideosData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1863A3D323326AEB001C2F96 /* VideosData.swift */; };
		18B7BE05233257CA0059F3C3 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE04233257CA0059F3C3 /* AppDelegate.swift */; };
		18B7BE07233257CA0059F3C3 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE06233257CA0059F3C3 /* ViewController.swift */; };
		18B7BE0A233257CA0059F3C3 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 18B7BE08233257CA0059F3C3 /* Main.storyboard */; };
		18B7BE0C233257CC0059F3C3 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 18B7BE0B233257CC0059F3C3 /* Assets.xcassets */; };
		18B7BE0F233257CC0059F3C3 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 18B7BE0D233257CC0059F3C3 /* LaunchScreen.storyboard */; };
		18B7BE2A23325BA70059F3C3 /* LatestNewsServiceManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE2923325BA70059F3C3 /* LatestNewsServiceManager.swift */; };
		18B7BE5E23325CBF0059F3C3 /* KafkaCategories.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE2F23325CBF0059F3C3 /* KafkaCategories.m */; };
		18B7BE5F23325CBF0059F3C3 /* UIScrollView+KafkaConfiguration.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE3223325CBF0059F3C3 /* UIScrollView+KafkaConfiguration.m */; };
		18B7BE6023325CBF0059F3C3 /* KafkaFootRefreshControl.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE3523325CBF0059F3C3 /* KafkaFootRefreshControl.m */; };
		18B7BE6123325CBF0059F3C3 /* KafkaHeadRefreshControl.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE3723325CBF0059F3C3 /* KafkaHeadRefreshControl.m */; };
		18B7BE6223325CBF0059F3C3 /* KafkaRefreshControl.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE3923325CBF0059F3C3 /* KafkaRefreshControl.m */; };
		18B7BE6323325CBF0059F3C3 /* UIScrollView+KafkaRefreshControl.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE3C23325CBF0059F3C3 /* UIScrollView+KafkaRefreshControl.m */; };
		18B7BE6423325CBF0059F3C3 /* KafkaRefreshDefaults.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE3F23325CBF0059F3C3 /* KafkaRefreshDefaults.m */; };
		18B7BE6523325CBF0059F3C3 /* Image.bundle in Resources */ = {isa = PBXBuildFile; fileRef = 18B7BE4223325CBF0059F3C3 /* Image.bundle */; };
		18B7BE6623325CBF0059F3C3 /* KafkaArrowFooter.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE4823325CBF0059F3C3 /* KafkaArrowFooter.m */; };
		18B7BE6723325CBF0059F3C3 /* KafkaNativeFooter.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE4A23325CBF0059F3C3 /* KafkaNativeFooter.m */; };
		18B7BE6823325CBF0059F3C3 /* KafkaReplicatorFooter.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE4C23325CBF0059F3C3 /* KafkaReplicatorFooter.m */; };
		18B7BE6923325CBF0059F3C3 /* KafkaRingIndicatorFooter.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE4E23325CBF0059F3C3 /* KafkaRingIndicatorFooter.m */; };
		18B7BE6A23325CBF0059F3C3 /* KafkaArrowHeader.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE5123325CBF0059F3C3 /* KafkaArrowHeader.m */; };
		18B7BE6B23325CBF0059F3C3 /* KafkaNativeHeader.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE5323325CBF0059F3C3 /* KafkaNativeHeader.m */; };
		18B7BE6C23325CBF0059F3C3 /* KafkaReplicatorHeader.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE5523325CBF0059F3C3 /* KafkaReplicatorHeader.m */; };
		18B7BE6D23325CBF0059F3C3 /* KafkaRingIndicatorHeader.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE5723325CBF0059F3C3 /* KafkaRingIndicatorHeader.m */; };
		18B7BE6E23325CBF0059F3C3 /* KafkaArcLayer.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE5B23325CBF0059F3C3 /* KafkaArcLayer.m */; };
		18B7BE6F23325CBF0059F3C3 /* KafkaReplicatorLayer.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE5D23325CBF0059F3C3 /* KafkaReplicatorLayer.m */; };
		18B7BE7223325CD40059F3C3 /* Toast.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE7123325CD40059F3C3 /* Toast.swift */; };
		18B7BE9723325CE20059F3C3 /* MKAnnotationView+WebCache.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE7523325CE20059F3C3 /* MKAnnotationView+WebCache.m */; };
		18B7BE9823325CE20059F3C3 /* NSData+ImageContentType.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE7723325CE20059F3C3 /* NSData+ImageContentType.m */; };
		18B7BE9923325CE20059F3C3 /* SDImageCache.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE7923325CE20059F3C3 /* SDImageCache.m */; };
		18B7BE9A23325CE20059F3C3 /* SDWebImageCompat.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE7B23325CE20059F3C3 /* SDWebImageCompat.m */; };
		18B7BE9B23325CE20059F3C3 /* SDWebImageDecoder.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE7D23325CE20059F3C3 /* SDWebImageDecoder.m */; };
		18B7BE9C23325CE20059F3C3 /* SDWebImageDownloader.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE7F23325CE20059F3C3 /* SDWebImageDownloader.m */; };
		18B7BE9D23325CE20059F3C3 /* SDWebImageDownloaderOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE8123325CE20059F3C3 /* SDWebImageDownloaderOperation.m */; };
		18B7BE9E23325CE20059F3C3 /* SDWebImageManager.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE8323325CE20059F3C3 /* SDWebImageManager.m */; };
		18B7BE9F23325CE20059F3C3 /* SDWebImagePrefetcher.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE8623325CE20059F3C3 /* SDWebImagePrefetcher.m */; };
		18B7BEA023325CE20059F3C3 /* UIButton+WebCache.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE8823325CE20059F3C3 /* UIButton+WebCache.m */; };
		18B7BEA123325CE20059F3C3 /* UIImage+GIF.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE8A23325CE20059F3C3 /* UIImage+GIF.m */; };
		18B7BEA223325CE20059F3C3 /* UIImage+MultiFormat.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE8C23325CE20059F3C3 /* UIImage+MultiFormat.m */; };
		18B7BEA323325CE20059F3C3 /* UIImage+WebP.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE8E23325CE20059F3C3 /* UIImage+WebP.m */; };
		18B7BEA423325CE20059F3C3 /* UIImageView+HighlightedWebCache.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE9023325CE20059F3C3 /* UIImageView+HighlightedWebCache.m */; };
		18B7BEA523325CE20059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE9223325CE20059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m */; };
		18B7BEA623325CE20059F3C3 /* UIImageView+WebCache.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE9423325CE20059F3C3 /* UIImageView+WebCache.m */; };
		18B7BEA723325CE20059F3C3 /* UIView+WebCacheOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BE9623325CE20059F3C3 /* UIView+WebCacheOperation.m */; };
		18B7BEAA23325CFB0059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BEA923325CFB0059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m */; };
		18B7BEAF23325D290059F3C3 /* BaseVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BEAD23325D290059F3C3 /* BaseVC.swift */; };
		18B7BEB323325DFE0059F3C3 /* ColorConstants.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BEB223325DFE0059F3C3 /* ColorConstants.swift */; };
		18B7BEB623325E600059F3C3 /* ColorExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BEB523325E4A0059F3C3 /* ColorExtensions.swift */; };
		18B7BEC62332609C0059F3C3 /* Reachability.m in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BEC42332609C0059F3C3 /* Reachability.m */; };
		18B7BEC72332609C0059F3C3 /* Reachability.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BEC52332609C0059F3C3 /* Reachability.swift */; };
		18B7BEC9233260F30059F3C3 /* AppConstants.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BEC8233260F30059F3C3 /* AppConstants.swift */; };
		18B7BECB2332615B0059F3C3 /* ErrorsConstants.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BECA2332615B0059F3C3 /* ErrorsConstants.swift */; };
		18B7BECD2332619C0059F3C3 /* TableViewExtention.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BECC2332619C0059F3C3 /* TableViewExtention.swift */; };
		18B7BECF233261D40059F3C3 /* LatestNewsTVCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BECE233261D40059F3C3 /* LatestNewsTVCell.swift */; };
		18B7BED42332629E0059F3C3 /* ViewExtensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BED32332629E0059F3C3 /* ViewExtensions.swift */; };
		18B7BED6233262EA0059F3C3 /* StringExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 18B7BED5233262EA0059F3C3 /* StringExtension.swift */; };
		B74B03B47592F860B5F5615C /* Pods_StructureDemo.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 7C99D78AC2E550C53D59D0B8 /* Pods_StructureDemo.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		1863A3D123326AEB001C2F96 /* GetVideoResponse.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = GetVideoResponse.swift; sourceTree = "<group>"; };
		1863A3D223326AEB001C2F96 /* Video.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Video.swift; sourceTree = "<group>"; };
		1863A3D323326AEB001C2F96 /* VideosData.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = VideosData.swift; sourceTree = "<group>"; };
		18B7BE01233257CA0059F3C3 /* StructureDemo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = StructureDemo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		18B7BE04233257CA0059F3C3 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		18B7BE06233257CA0059F3C3 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		18B7BE09233257CA0059F3C3 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		18B7BE0B233257CC0059F3C3 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		18B7BE0E233257CC0059F3C3 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		18B7BE10233257CC0059F3C3 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		18B7BE2923325BA70059F3C3 /* LatestNewsServiceManager.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = LatestNewsServiceManager.swift; sourceTree = "<group>"; };
		18B7BE2E23325CBF0059F3C3 /* KafkaCategories.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaCategories.h; sourceTree = "<group>"; };
		18B7BE2F23325CBF0059F3C3 /* KafkaCategories.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaCategories.m; sourceTree = "<group>"; };
		18B7BE3123325CBF0059F3C3 /* UIScrollView+KafkaConfiguration.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIScrollView+KafkaConfiguration.h"; sourceTree = "<group>"; };
		18B7BE3223325CBF0059F3C3 /* UIScrollView+KafkaConfiguration.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIScrollView+KafkaConfiguration.m"; sourceTree = "<group>"; };
		18B7BE3423325CBF0059F3C3 /* KafkaFootRefreshControl.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaFootRefreshControl.h; sourceTree = "<group>"; };
		18B7BE3523325CBF0059F3C3 /* KafkaFootRefreshControl.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaFootRefreshControl.m; sourceTree = "<group>"; };
		18B7BE3623325CBF0059F3C3 /* KafkaHeadRefreshControl.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaHeadRefreshControl.h; sourceTree = "<group>"; };
		18B7BE3723325CBF0059F3C3 /* KafkaHeadRefreshControl.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaHeadRefreshControl.m; sourceTree = "<group>"; };
		18B7BE3823325CBF0059F3C3 /* KafkaRefreshControl.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaRefreshControl.h; sourceTree = "<group>"; };
		18B7BE3923325CBF0059F3C3 /* KafkaRefreshControl.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaRefreshControl.m; sourceTree = "<group>"; };
		18B7BE3A23325CBF0059F3C3 /* KafkaRefreshProtocol.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaRefreshProtocol.h; sourceTree = "<group>"; };
		18B7BE3B23325CBF0059F3C3 /* UIScrollView+KafkaRefreshControl.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIScrollView+KafkaRefreshControl.h"; sourceTree = "<group>"; };
		18B7BE3C23325CBF0059F3C3 /* UIScrollView+KafkaRefreshControl.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIScrollView+KafkaRefreshControl.m"; sourceTree = "<group>"; };
		18B7BE3E23325CBF0059F3C3 /* KafkaRefreshDefaults.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaRefreshDefaults.h; sourceTree = "<group>"; };
		18B7BE3F23325CBF0059F3C3 /* KafkaRefreshDefaults.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaRefreshDefaults.m; sourceTree = "<group>"; };
		18B7BE4023325CBF0059F3C3 /* KafkaRefresh.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaRefresh.h; sourceTree = "<group>"; };
		18B7BE4223325CBF0059F3C3 /* Image.bundle */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.plug-in"; path = Image.bundle; sourceTree = "<group>"; };
		18B7BE4423325CBF0059F3C3 /* KafkaRefreshStyle.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaRefreshStyle.h; sourceTree = "<group>"; };
		18B7BE4723325CBF0059F3C3 /* KafkaArrowFooter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaArrowFooter.h; sourceTree = "<group>"; };
		18B7BE4823325CBF0059F3C3 /* KafkaArrowFooter.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaArrowFooter.m; sourceTree = "<group>"; };
		18B7BE4923325CBF0059F3C3 /* KafkaNativeFooter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaNativeFooter.h; sourceTree = "<group>"; };
		18B7BE4A23325CBF0059F3C3 /* KafkaNativeFooter.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaNativeFooter.m; sourceTree = "<group>"; };
		18B7BE4B23325CBF0059F3C3 /* KafkaReplicatorFooter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaReplicatorFooter.h; sourceTree = "<group>"; };
		18B7BE4C23325CBF0059F3C3 /* KafkaReplicatorFooter.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaReplicatorFooter.m; sourceTree = "<group>"; };
		18B7BE4D23325CBF0059F3C3 /* KafkaRingIndicatorFooter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaRingIndicatorFooter.h; sourceTree = "<group>"; };
		18B7BE4E23325CBF0059F3C3 /* KafkaRingIndicatorFooter.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaRingIndicatorFooter.m; sourceTree = "<group>"; };
		18B7BE5023325CBF0059F3C3 /* KafkaArrowHeader.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaArrowHeader.h; sourceTree = "<group>"; };
		18B7BE5123325CBF0059F3C3 /* KafkaArrowHeader.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaArrowHeader.m; sourceTree = "<group>"; };
		18B7BE5223325CBF0059F3C3 /* KafkaNativeHeader.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaNativeHeader.h; sourceTree = "<group>"; };
		18B7BE5323325CBF0059F3C3 /* KafkaNativeHeader.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaNativeHeader.m; sourceTree = "<group>"; };
		18B7BE5423325CBF0059F3C3 /* KafkaReplicatorHeader.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaReplicatorHeader.h; sourceTree = "<group>"; };
		18B7BE5523325CBF0059F3C3 /* KafkaReplicatorHeader.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaReplicatorHeader.m; sourceTree = "<group>"; };
		18B7BE5623325CBF0059F3C3 /* KafkaRingIndicatorHeader.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaRingIndicatorHeader.h; sourceTree = "<group>"; };
		18B7BE5723325CBF0059F3C3 /* KafkaRingIndicatorHeader.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaRingIndicatorHeader.m; sourceTree = "<group>"; };
		18B7BE5923325CBF0059F3C3 /* KafkaAnimatableProtocol.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaAnimatableProtocol.h; sourceTree = "<group>"; };
		18B7BE5A23325CBF0059F3C3 /* KafkaArcLayer.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaArcLayer.h; sourceTree = "<group>"; };
		18B7BE5B23325CBF0059F3C3 /* KafkaArcLayer.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaArcLayer.m; sourceTree = "<group>"; };
		18B7BE5C23325CBF0059F3C3 /* KafkaReplicatorLayer.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = KafkaReplicatorLayer.h; sourceTree = "<group>"; };
		18B7BE5D23325CBF0059F3C3 /* KafkaReplicatorLayer.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = KafkaReplicatorLayer.m; sourceTree = "<group>"; };
		18B7BE7123325CD40059F3C3 /* Toast.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Toast.swift; sourceTree = "<group>"; };
		18B7BE7423325CE20059F3C3 /* MKAnnotationView+WebCache.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "MKAnnotationView+WebCache.h"; sourceTree = "<group>"; };
		18B7BE7523325CE20059F3C3 /* MKAnnotationView+WebCache.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "MKAnnotationView+WebCache.m"; sourceTree = "<group>"; };
		18B7BE7623325CE20059F3C3 /* NSData+ImageContentType.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "NSData+ImageContentType.h"; sourceTree = "<group>"; };
		18B7BE7723325CE20059F3C3 /* NSData+ImageContentType.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "NSData+ImageContentType.m"; sourceTree = "<group>"; };
		18B7BE7823325CE20059F3C3 /* SDImageCache.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDImageCache.h; sourceTree = "<group>"; };
		18B7BE7923325CE20059F3C3 /* SDImageCache.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = SDImageCache.m; sourceTree = "<group>"; };
		18B7BE7A23325CE20059F3C3 /* SDWebImageCompat.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDWebImageCompat.h; sourceTree = "<group>"; };
		18B7BE7B23325CE20059F3C3 /* SDWebImageCompat.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = SDWebImageCompat.m; sourceTree = "<group>"; };
		18B7BE7C23325CE20059F3C3 /* SDWebImageDecoder.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDWebImageDecoder.h; sourceTree = "<group>"; };
		18B7BE7D23325CE20059F3C3 /* SDWebImageDecoder.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = SDWebImageDecoder.m; sourceTree = "<group>"; };
		18B7BE7E23325CE20059F3C3 /* SDWebImageDownloader.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDWebImageDownloader.h; sourceTree = "<group>"; };
		18B7BE7F23325CE20059F3C3 /* SDWebImageDownloader.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = SDWebImageDownloader.m; sourceTree = "<group>"; };
		18B7BE8023325CE20059F3C3 /* SDWebImageDownloaderOperation.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDWebImageDownloaderOperation.h; sourceTree = "<group>"; };
		18B7BE8123325CE20059F3C3 /* SDWebImageDownloaderOperation.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = SDWebImageDownloaderOperation.m; sourceTree = "<group>"; };
		18B7BE8223325CE20059F3C3 /* SDWebImageManager.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDWebImageManager.h; sourceTree = "<group>"; };
		18B7BE8323325CE20059F3C3 /* SDWebImageManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = SDWebImageManager.m; sourceTree = "<group>"; };
		18B7BE8423325CE20059F3C3 /* SDWebImageOperation.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDWebImageOperation.h; sourceTree = "<group>"; };
		18B7BE8523325CE20059F3C3 /* SDWebImagePrefetcher.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = SDWebImagePrefetcher.h; sourceTree = "<group>"; };
		18B7BE8623325CE20059F3C3 /* SDWebImagePrefetcher.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = SDWebImagePrefetcher.m; sourceTree = "<group>"; };
		18B7BE8723325CE20059F3C3 /* UIButton+WebCache.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIButton+WebCache.h"; sourceTree = "<group>"; };
		18B7BE8823325CE20059F3C3 /* UIButton+WebCache.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIButton+WebCache.m"; sourceTree = "<group>"; };
		18B7BE8923325CE20059F3C3 /* UIImage+GIF.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImage+GIF.h"; sourceTree = "<group>"; };
		18B7BE8A23325CE20059F3C3 /* UIImage+GIF.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImage+GIF.m"; sourceTree = "<group>"; };
		18B7BE8B23325CE20059F3C3 /* UIImage+MultiFormat.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImage+MultiFormat.h"; sourceTree = "<group>"; };
		18B7BE8C23325CE20059F3C3 /* UIImage+MultiFormat.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImage+MultiFormat.m"; sourceTree = "<group>"; };
		18B7BE8D23325CE20059F3C3 /* UIImage+WebP.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImage+WebP.h"; sourceTree = "<group>"; };
		18B7BE8E23325CE20059F3C3 /* UIImage+WebP.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImage+WebP.m"; sourceTree = "<group>"; };
		18B7BE8F23325CE20059F3C3 /* UIImageView+HighlightedWebCache.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImageView+HighlightedWebCache.h"; sourceTree = "<group>"; };
		18B7BE9023325CE20059F3C3 /* UIImageView+HighlightedWebCache.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImageView+HighlightedWebCache.m"; sourceTree = "<group>"; };
		18B7BE9123325CE20059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImageView+UIActivityIndicatorForSDWebImage.h"; sourceTree = "<group>"; };
		18B7BE9223325CE20059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImageView+UIActivityIndicatorForSDWebImage.m"; sourceTree = "<group>"; };
		18B7BE9323325CE20059F3C3 /* UIImageView+WebCache.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImageView+WebCache.h"; sourceTree = "<group>"; };
		18B7BE9423325CE20059F3C3 /* UIImageView+WebCache.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImageView+WebCache.m"; sourceTree = "<group>"; };
		18B7BE9523325CE20059F3C3 /* UIView+WebCacheOperation.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIView+WebCacheOperation.h"; sourceTree = "<group>"; };
		18B7BE9623325CE20059F3C3 /* UIView+WebCacheOperation.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIView+WebCacheOperation.m"; sourceTree = "<group>"; };
		18B7BEA823325CFB0059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = "UIImageView+UIActivityIndicatorForSDWebImage.h"; sourceTree = "<group>"; };
		18B7BEA923325CFB0059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = "UIImageView+UIActivityIndicatorForSDWebImage.m"; sourceTree = "<group>"; };
		18B7BEAD23325D290059F3C3 /* BaseVC.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = BaseVC.swift; sourceTree = "<group>"; };
		18B7BEB223325DFE0059F3C3 /* ColorConstants.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ColorConstants.swift; sourceTree = "<group>"; };
		18B7BEB523325E4A0059F3C3 /* ColorExtensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorExtensions.swift; sourceTree = "<group>"; };
		18B7BEC123325F2D0059F3C3 /* StructureDemo-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "StructureDemo-Bridging-Header.h"; sourceTree = "<group>"; };
		18B7BEC32332609C0059F3C3 /* Reachability.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = Reachability.h; sourceTree = "<group>"; };
		18B7BEC42332609C0059F3C3 /* Reachability.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = Reachability.m; sourceTree = "<group>"; };
		18B7BEC52332609C0059F3C3 /* Reachability.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Reachability.swift; sourceTree = "<group>"; };
		18B7BEC8233260F30059F3C3 /* AppConstants.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppConstants.swift; sourceTree = "<group>"; };
		18B7BECA2332615B0059F3C3 /* ErrorsConstants.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ErrorsConstants.swift; sourceTree = "<group>"; };
		18B7BECC2332619C0059F3C3 /* TableViewExtention.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TableViewExtention.swift; sourceTree = "<group>"; };
		18B7BECE233261D40059F3C3 /* LatestNewsTVCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = LatestNewsTVCell.swift; sourceTree = "<group>"; };
		18B7BED32332629E0059F3C3 /* ViewExtensions.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ViewExtensions.swift; sourceTree = "<group>"; };
		18B7BED5233262EA0059F3C3 /* StringExtension.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StringExtension.swift; sourceTree = "<group>"; };
		7C99D78AC2E550C53D59D0B8 /* Pods_StructureDemo.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_StructureDemo.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		8E31F1D1A447CF2B34AEB961 /* Pods-StructureDemo.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-StructureDemo.release.xcconfig"; path = "Target Support Files/Pods-StructureDemo/Pods-StructureDemo.release.xcconfig"; sourceTree = "<group>"; };
		EA9459C39BAF12EE7C30F1EB /* Pods-StructureDemo.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-StructureDemo.debug.xcconfig"; path = "Target Support Files/Pods-StructureDemo/Pods-StructureDemo.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		18B7BDFE233257CA0059F3C3 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				B74B03B47592F860B5F5615C /* Pods_StructureDemo.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		1863A3D023326AEB001C2F96 /* GetVideosModel */ = {
			isa = PBXGroup;
			children = (
				1863A3D123326AEB001C2F96 /* GetVideoResponse.swift */,
				1863A3D223326AEB001C2F96 /* Video.swift */,
				1863A3D323326AEB001C2F96 /* VideosData.swift */,
			);
			path = GetVideosModel;
			sourceTree = "<group>";
		};
		18B7BDF8233257CA0059F3C3 = {
			isa = PBXGroup;
			children = (
				18B7BE03233257CA0059F3C3 /* StructureDemo */,
				18B7BE02233257CA0059F3C3 /* Products */,
				408D13168F506102D885A5F0 /* Pods */,
				6990A7EE3DDC39A12AAB98BE /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		18B7BE02233257CA0059F3C3 /* Products */ = {
			isa = PBXGroup;
			children = (
				18B7BE01233257CA0059F3C3 /* StructureDemo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		18B7BE03233257CA0059F3C3 /* StructureDemo */ = {
			isa = PBXGroup;
			children = (
				18B7BE17233257E60059F3C3 /* Project Manager */,
				18B7BE04233257CA0059F3C3 /* AppDelegate.swift */,
				18B7BE0B233257CC0059F3C3 /* Assets.xcassets */,
				18B7BE0D233257CC0059F3C3 /* LaunchScreen.storyboard */,
				18B7BE10233257CC0059F3C3 /* Info.plist */,
			);
			path = StructureDemo;
			sourceTree = "<group>";
		};
		18B7BE17233257E60059F3C3 /* Project Manager */ = {
			isa = PBXGroup;
			children = (
				18B7BEC023325EFC0059F3C3 /* Bridge Header */,
				18B7BEB423325E2E0059F3C3 /* Extension */,
				18B7BEB023325DD90059F3C3 /* Custom Controls */,
				18B7BE1A233259540059F3C3 /* Controllers */,
				18B7BE192332594B0059F3C3 /* Cells */,
				18B7BE18233257F50059F3C3 /* Storyboard */,
				18B7BE2B23325CAF0059F3C3 /* Helpers */,
				18B7BE1C23325B0B0059F3C3 /* Models */,
				18B7BE2823325B970059F3C3 /* Service Manager */,
			);
			path = "Project Manager";
			sourceTree = "<group>";
		};
		18B7BE18233257F50059F3C3 /* Storyboard */ = {
			isa = PBXGroup;
			children = (
				18B7BE08233257CA0059F3C3 /* Main.storyboard */,
			);
			path = Storyboard;
			sourceTree = "<group>";
		};
		18B7BE192332594B0059F3C3 /* Cells */ = {
			isa = PBXGroup;
			children = (
				18B7BED0233261D80059F3C3 /* Latest News Cell */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		18B7BE1A233259540059F3C3 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				18B7BEAB23325D290059F3C3 /* Base */,
				18B7BE1B233259660059F3C3 /* Main View Controller */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		18B7BE1B233259660059F3C3 /* Main View Controller */ = {
			isa = PBXGroup;
			children = (
				18B7BE06233257CA0059F3C3 /* ViewController.swift */,
			);
			path = "Main View Controller";
			sourceTree = "<group>";
		};
		18B7BE1C23325B0B0059F3C3 /* Models */ = {
			isa = PBXGroup;
			children = (
				1863A3D023326AEB001C2F96 /* GetVideosModel */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		18B7BE2823325B970059F3C3 /* Service Manager */ = {
			isa = PBXGroup;
			children = (
				18B7BE2923325BA70059F3C3 /* LatestNewsServiceManager.swift */,
			);
			path = "Service Manager";
			sourceTree = "<group>";
		};
		18B7BE2B23325CAF0059F3C3 /* Helpers */ = {
			isa = PBXGroup;
			children = (
				18B7BEA823325CFB0059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.h */,
				18B7BEA923325CFB0059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m */,
				18B7BE7323325CE20059F3C3 /* SDWebImage */,
				18B7BEC22332609C0059F3C3 /* Reachability */,
				18B7BE7023325CD40059F3C3 /* Toast */,
				18B7BE2C23325CBF0059F3C3 /* BottomRefresh */,
			);
			path = Helpers;
			sourceTree = "<group>";
		};
		18B7BE2C23325CBF0059F3C3 /* BottomRefresh */ = {
			isa = PBXGroup;
			children = (
				18B7BE2D23325CBF0059F3C3 /* Category */,
				18B7BE3023325CBF0059F3C3 /* Configuration */,
				18B7BE3323325CBF0059F3C3 /* Core */,
				18B7BE3D23325CBF0059F3C3 /* Default */,
				18B7BE4023325CBF0059F3C3 /* KafkaRefresh.h */,
				18B7BE4123325CBF0059F3C3 /* Resource */,
				18B7BE4323325CBF0059F3C3 /* Style */,
				18B7BE4523325CBF0059F3C3 /* UIKit */,
			);
			path = BottomRefresh;
			sourceTree = "<group>";
		};
		18B7BE2D23325CBF0059F3C3 /* Category */ = {
			isa = PBXGroup;
			children = (
				18B7BE2E23325CBF0059F3C3 /* KafkaCategories.h */,
				18B7BE2F23325CBF0059F3C3 /* KafkaCategories.m */,
			);
			path = Category;
			sourceTree = "<group>";
		};
		18B7BE3023325CBF0059F3C3 /* Configuration */ = {
			isa = PBXGroup;
			children = (
				18B7BE3123325CBF0059F3C3 /* UIScrollView+KafkaConfiguration.h */,
				18B7BE3223325CBF0059F3C3 /* UIScrollView+KafkaConfiguration.m */,
			);
			path = Configuration;
			sourceTree = "<group>";
		};
		18B7BE3323325CBF0059F3C3 /* Core */ = {
			isa = PBXGroup;
			children = (
				18B7BE3423325CBF0059F3C3 /* KafkaFootRefreshControl.h */,
				18B7BE3523325CBF0059F3C3 /* KafkaFootRefreshControl.m */,
				18B7BE3623325CBF0059F3C3 /* KafkaHeadRefreshControl.h */,
				18B7BE3723325CBF0059F3C3 /* KafkaHeadRefreshControl.m */,
				18B7BE3823325CBF0059F3C3 /* KafkaRefreshControl.h */,
				18B7BE3923325CBF0059F3C3 /* KafkaRefreshControl.m */,
				18B7BE3A23325CBF0059F3C3 /* KafkaRefreshProtocol.h */,
				18B7BE3B23325CBF0059F3C3 /* UIScrollView+KafkaRefreshControl.h */,
				18B7BE3C23325CBF0059F3C3 /* UIScrollView+KafkaRefreshControl.m */,
			);
			path = Core;
			sourceTree = "<group>";
		};
		18B7BE3D23325CBF0059F3C3 /* Default */ = {
			isa = PBXGroup;
			children = (
				18B7BE3E23325CBF0059F3C3 /* KafkaRefreshDefaults.h */,
				18B7BE3F23325CBF0059F3C3 /* KafkaRefreshDefaults.m */,
			);
			path = Default;
			sourceTree = "<group>";
		};
		18B7BE4123325CBF0059F3C3 /* Resource */ = {
			isa = PBXGroup;
			children = (
				18B7BE4223325CBF0059F3C3 /* Image.bundle */,
			);
			path = Resource;
			sourceTree = "<group>";
		};
		18B7BE4323325CBF0059F3C3 /* Style */ = {
			isa = PBXGroup;
			children = (
				18B7BE4423325CBF0059F3C3 /* KafkaRefreshStyle.h */,
			);
			path = Style;
			sourceTree = "<group>";
		};
		18B7BE4523325CBF0059F3C3 /* UIKit */ = {
			isa = PBXGroup;
			children = (
				18B7BE4623325CBF0059F3C3 /* FootKit */,
				18B7BE4F23325CBF0059F3C3 /* HeadKit */,
				18B7BE5823325CBF0059F3C3 /* LayerKit */,
			);
			path = UIKit;
			sourceTree = "<group>";
		};
		18B7BE4623325CBF0059F3C3 /* FootKit */ = {
			isa = PBXGroup;
			children = (
				18B7BE4723325CBF0059F3C3 /* KafkaArrowFooter.h */,
				18B7BE4823325CBF0059F3C3 /* KafkaArrowFooter.m */,
				18B7BE4923325CBF0059F3C3 /* KafkaNativeFooter.h */,
				18B7BE4A23325CBF0059F3C3 /* KafkaNativeFooter.m */,
				18B7BE4B23325CBF0059F3C3 /* KafkaReplicatorFooter.h */,
				18B7BE4C23325CBF0059F3C3 /* KafkaReplicatorFooter.m */,
				18B7BE4D23325CBF0059F3C3 /* KafkaRingIndicatorFooter.h */,
				18B7BE4E23325CBF0059F3C3 /* KafkaRingIndicatorFooter.m */,
			);
			path = FootKit;
			sourceTree = "<group>";
		};
		18B7BE4F23325CBF0059F3C3 /* HeadKit */ = {
			isa = PBXGroup;
			children = (
				18B7BE5023325CBF0059F3C3 /* KafkaArrowHeader.h */,
				18B7BE5123325CBF0059F3C3 /* KafkaArrowHeader.m */,
				18B7BE5223325CBF0059F3C3 /* KafkaNativeHeader.h */,
				18B7BE5323325CBF0059F3C3 /* KafkaNativeHeader.m */,
				18B7BE5423325CBF0059F3C3 /* KafkaReplicatorHeader.h */,
				18B7BE5523325CBF0059F3C3 /* KafkaReplicatorHeader.m */,
				18B7BE5623325CBF0059F3C3 /* KafkaRingIndicatorHeader.h */,
				18B7BE5723325CBF0059F3C3 /* KafkaRingIndicatorHeader.m */,
			);
			path = HeadKit;
			sourceTree = "<group>";
		};
		18B7BE5823325CBF0059F3C3 /* LayerKit */ = {
			isa = PBXGroup;
			children = (
				18B7BE5923325CBF0059F3C3 /* KafkaAnimatableProtocol.h */,
				18B7BE5A23325CBF0059F3C3 /* KafkaArcLayer.h */,
				18B7BE5B23325CBF0059F3C3 /* KafkaArcLayer.m */,
				18B7BE5C23325CBF0059F3C3 /* KafkaReplicatorLayer.h */,
				18B7BE5D23325CBF0059F3C3 /* KafkaReplicatorLayer.m */,
			);
			path = LayerKit;
			sourceTree = "<group>";
		};
		18B7BE7023325CD40059F3C3 /* Toast */ = {
			isa = PBXGroup;
			children = (
				18B7BE7123325CD40059F3C3 /* Toast.swift */,
			);
			path = Toast;
			sourceTree = "<group>";
		};
		18B7BE7323325CE20059F3C3 /* SDWebImage */ = {
			isa = PBXGroup;
			children = (
				18B7BE7423325CE20059F3C3 /* MKAnnotationView+WebCache.h */,
				18B7BE7523325CE20059F3C3 /* MKAnnotationView+WebCache.m */,
				18B7BE7623325CE20059F3C3 /* NSData+ImageContentType.h */,
				18B7BE7723325CE20059F3C3 /* NSData+ImageContentType.m */,
				18B7BE7823325CE20059F3C3 /* SDImageCache.h */,
				18B7BE7923325CE20059F3C3 /* SDImageCache.m */,
				18B7BE7A23325CE20059F3C3 /* SDWebImageCompat.h */,
				18B7BE7B23325CE20059F3C3 /* SDWebImageCompat.m */,
				18B7BE7C23325CE20059F3C3 /* SDWebImageDecoder.h */,
				18B7BE7D23325CE20059F3C3 /* SDWebImageDecoder.m */,
				18B7BE7E23325CE20059F3C3 /* SDWebImageDownloader.h */,
				18B7BE7F23325CE20059F3C3 /* SDWebImageDownloader.m */,
				18B7BE8023325CE20059F3C3 /* SDWebImageDownloaderOperation.h */,
				18B7BE8123325CE20059F3C3 /* SDWebImageDownloaderOperation.m */,
				18B7BE8223325CE20059F3C3 /* SDWebImageManager.h */,
				18B7BE8323325CE20059F3C3 /* SDWebImageManager.m */,
				18B7BE8423325CE20059F3C3 /* SDWebImageOperation.h */,
				18B7BE8523325CE20059F3C3 /* SDWebImagePrefetcher.h */,
				18B7BE8623325CE20059F3C3 /* SDWebImagePrefetcher.m */,
				18B7BE8723325CE20059F3C3 /* UIButton+WebCache.h */,
				18B7BE8823325CE20059F3C3 /* UIButton+WebCache.m */,
				18B7BE8923325CE20059F3C3 /* UIImage+GIF.h */,
				18B7BE8A23325CE20059F3C3 /* UIImage+GIF.m */,
				18B7BE8B23325CE20059F3C3 /* UIImage+MultiFormat.h */,
				18B7BE8C23325CE20059F3C3 /* UIImage+MultiFormat.m */,
				18B7BE8D23325CE20059F3C3 /* UIImage+WebP.h */,
				18B7BE8E23325CE20059F3C3 /* UIImage+WebP.m */,
				18B7BE8F23325CE20059F3C3 /* UIImageView+HighlightedWebCache.h */,
				18B7BE9023325CE20059F3C3 /* UIImageView+HighlightedWebCache.m */,
				18B7BE9123325CE20059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.h */,
				18B7BE9223325CE20059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m */,
				18B7BE9323325CE20059F3C3 /* UIImageView+WebCache.h */,
				18B7BE9423325CE20059F3C3 /* UIImageView+WebCache.m */,
				18B7BE9523325CE20059F3C3 /* UIView+WebCacheOperation.h */,
				18B7BE9623325CE20059F3C3 /* UIView+WebCacheOperation.m */,
			);
			path = SDWebImage;
			sourceTree = "<group>";
		};
		18B7BEAB23325D290059F3C3 /* Base */ = {
			isa = PBXGroup;
			children = (
				18B7BEAD23325D290059F3C3 /* BaseVC.swift */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		18B7BEB023325DD90059F3C3 /* Custom Controls */ = {
			isa = PBXGroup;
			children = (
				18B7BEB123325DEC0059F3C3 /* Constant */,
			);
			path = "Custom Controls";
			sourceTree = "<group>";
		};
		18B7BEB123325DEC0059F3C3 /* Constant */ = {
			isa = PBXGroup;
			children = (
				18B7BEC8233260F30059F3C3 /* AppConstants.swift */,
				18B7BECA2332615B0059F3C3 /* ErrorsConstants.swift */,
				18B7BEB223325DFE0059F3C3 /* ColorConstants.swift */,
			);
			path = Constant;
			sourceTree = "<group>";
		};
		18B7BEB423325E2E0059F3C3 /* Extension */ = {
			isa = PBXGroup;
			children = (
				18B7BED5233262EA0059F3C3 /* StringExtension.swift */,
				18B7BEB523325E4A0059F3C3 /* ColorExtensions.swift */,
				18B7BED32332629E0059F3C3 /* ViewExtensions.swift */,
				18B7BECC2332619C0059F3C3 /* TableViewExtention.swift */,
			);
			path = Extension;
			sourceTree = "<group>";
		};
		18B7BEC023325EFC0059F3C3 /* Bridge Header */ = {
			isa = PBXGroup;
			children = (
				18B7BEC123325F2D0059F3C3 /* StructureDemo-Bridging-Header.h */,
			);
			path = "Bridge Header";
			sourceTree = "<group>";
		};
		18B7BEC22332609C0059F3C3 /* Reachability */ = {
			isa = PBXGroup;
			children = (
				18B7BEC32332609C0059F3C3 /* Reachability.h */,
				18B7BEC42332609C0059F3C3 /* Reachability.m */,
				18B7BEC52332609C0059F3C3 /* Reachability.swift */,
			);
			path = Reachability;
			sourceTree = "<group>";
		};
		18B7BED0233261D80059F3C3 /* Latest News Cell */ = {
			isa = PBXGroup;
			children = (
				18B7BECE233261D40059F3C3 /* LatestNewsTVCell.swift */,
			);
			path = "Latest News Cell";
			sourceTree = "<group>";
		};
		408D13168F506102D885A5F0 /* Pods */ = {
			isa = PBXGroup;
			children = (
				EA9459C39BAF12EE7C30F1EB /* Pods-StructureDemo.debug.xcconfig */,
				8E31F1D1A447CF2B34AEB961 /* Pods-StructureDemo.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		6990A7EE3DDC39A12AAB98BE /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				7C99D78AC2E550C53D59D0B8 /* Pods_StructureDemo.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		18B7BE00233257CA0059F3C3 /* StructureDemo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 18B7BE13233257CC0059F3C3 /* Build configuration list for PBXNativeTarget "StructureDemo" */;
			buildPhases = (
				076D6DCDE65A86C3E28F4256 /* [CP] Check Pods Manifest.lock */,
				18B7BDFD233257CA0059F3C3 /* Sources */,
				18B7BDFE233257CA0059F3C3 /* Frameworks */,
				18B7BDFF233257CA0059F3C3 /* Resources */,
				35C14D765EFFE6FBE6F97502 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = StructureDemo;
			productName = StructureDemo;
			productReference = 18B7BE01233257CA0059F3C3 /* StructureDemo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		18B7BDF9233257CA0059F3C3 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1020;
				LastUpgradeCheck = 1020;
				ORGANIZATIONNAME = AppleMac;
				TargetAttributes = {
					18B7BE00233257CA0059F3C3 = {
						CreatedOnToolsVersion = 10.2.1;
					};
				};
			};
			buildConfigurationList = 18B7BDFC233257CA0059F3C3 /* Build configuration list for PBXProject "StructureDemo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 18B7BDF8233257CA0059F3C3;
			productRefGroup = 18B7BE02233257CA0059F3C3 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				18B7BE00233257CA0059F3C3 /* StructureDemo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		18B7BDFF233257CA0059F3C3 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				18B7BE0F233257CC0059F3C3 /* LaunchScreen.storyboard in Resources */,
				18B7BE0C233257CC0059F3C3 /* Assets.xcassets in Resources */,
				18B7BE0A233257CA0059F3C3 /* Main.storyboard in Resources */,
				18B7BE6523325CBF0059F3C3 /* Image.bundle in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		076D6DCDE65A86C3E28F4256 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-StructureDemo-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		35C14D765EFFE6FBE6F97502 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-StructureDemo/Pods-StructureDemo-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-StructureDemo/Pods-StructureDemo-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-StructureDemo/Pods-StructureDemo-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		18B7BDFD233257CA0059F3C3 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				18B7BE6823325CBF0059F3C3 /* KafkaReplicatorFooter.m in Sources */,
				18B7BE6623325CBF0059F3C3 /* KafkaArrowFooter.m in Sources */,
				18B7BE5E23325CBF0059F3C3 /* KafkaCategories.m in Sources */,
				18B7BE6723325CBF0059F3C3 /* KafkaNativeFooter.m in Sources */,
				18B7BEAF23325D290059F3C3 /* BaseVC.swift in Sources */,
				18B7BE9823325CE20059F3C3 /* NSData+ImageContentType.m in Sources */,
				18B7BE6C23325CBF0059F3C3 /* KafkaReplicatorHeader.m in Sources */,
				18B7BEA523325CE20059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m in Sources */,
				18B7BEA023325CE20059F3C3 /* UIButton+WebCache.m in Sources */,
				18B7BE9F23325CE20059F3C3 /* SDWebImagePrefetcher.m in Sources */,
				1863A3D423326AEB001C2F96 /* GetVideoResponse.swift in Sources */,
				18B7BEA723325CE20059F3C3 /* UIView+WebCacheOperation.m in Sources */,
				18B7BECF233261D40059F3C3 /* LatestNewsTVCell.swift in Sources */,
				1863A3D623326AEB001C2F96 /* VideosData.swift in Sources */,
				18B7BECD2332619C0059F3C3 /* TableViewExtention.swift in Sources */,
				18B7BE2A23325BA70059F3C3 /* LatestNewsServiceManager.swift in Sources */,
				18B7BEB623325E600059F3C3 /* ColorExtensions.swift in Sources */,
				18B7BEC62332609C0059F3C3 /* Reachability.m in Sources */,
				18B7BE6E23325CBF0059F3C3 /* KafkaArcLayer.m in Sources */,
				18B7BED42332629E0059F3C3 /* ViewExtensions.swift in Sources */,
				18B7BEA423325CE20059F3C3 /* UIImageView+HighlightedWebCache.m in Sources */,
				18B7BE6F23325CBF0059F3C3 /* KafkaReplicatorLayer.m in Sources */,
				18B7BE6423325CBF0059F3C3 /* KafkaRefreshDefaults.m in Sources */,
				18B7BE9E23325CE20059F3C3 /* SDWebImageManager.m in Sources */,
				18B7BE07233257CA0059F3C3 /* ViewController.swift in Sources */,
				18B7BE6D23325CBF0059F3C3 /* KafkaRingIndicatorHeader.m in Sources */,
				18B7BEA123325CE20059F3C3 /* UIImage+GIF.m in Sources */,
				18B7BE6223325CBF0059F3C3 /* KafkaRefreshControl.m in Sources */,
				18B7BE6023325CBF0059F3C3 /* KafkaFootRefreshControl.m in Sources */,
				18B7BE6B23325CBF0059F3C3 /* KafkaNativeHeader.m in Sources */,
				18B7BEA223325CE20059F3C3 /* UIImage+MultiFormat.m in Sources */,
				18B7BEC9233260F30059F3C3 /* AppConstants.swift in Sources */,
				18B7BE9D23325CE20059F3C3 /* SDWebImageDownloaderOperation.m in Sources */,
				18B7BE6A23325CBF0059F3C3 /* KafkaArrowHeader.m in Sources */,
				18B7BECB2332615B0059F3C3 /* ErrorsConstants.swift in Sources */,
				18B7BE5F23325CBF0059F3C3 /* UIScrollView+KafkaConfiguration.m in Sources */,
				18B7BE6923325CBF0059F3C3 /* KafkaRingIndicatorFooter.m in Sources */,
				18B7BEA623325CE20059F3C3 /* UIImageView+WebCache.m in Sources */,
				18B7BEC72332609C0059F3C3 /* Reachability.swift in Sources */,
				18B7BE6323325CBF0059F3C3 /* UIScrollView+KafkaRefreshControl.m in Sources */,
				18B7BEB323325DFE0059F3C3 /* ColorConstants.swift in Sources */,
				18B7BE9B23325CE20059F3C3 /* SDWebImageDecoder.m in Sources */,
				18B7BEA323325CE20059F3C3 /* UIImage+WebP.m in Sources */,
				1863A3D523326AEB001C2F96 /* Video.swift in Sources */,
				18B7BE9A23325CE20059F3C3 /* SDWebImageCompat.m in Sources */,
				18B7BE05233257CA0059F3C3 /* AppDelegate.swift in Sources */,
				18B7BE7223325CD40059F3C3 /* Toast.swift in Sources */,
				18B7BE9C23325CE20059F3C3 /* SDWebImageDownloader.m in Sources */,
				18B7BE9723325CE20059F3C3 /* MKAnnotationView+WebCache.m in Sources */,
				18B7BEAA23325CFB0059F3C3 /* UIImageView+UIActivityIndicatorForSDWebImage.m in Sources */,
				18B7BE6123325CBF0059F3C3 /* KafkaHeadRefreshControl.m in Sources */,
				18B7BE9923325CE20059F3C3 /* SDImageCache.m in Sources */,
				18B7BED6233262EA0059F3C3 /* StringExtension.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		18B7BE08233257CA0059F3C3 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				18B7BE09233257CA0059F3C3 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		18B7BE0D233257CC0059F3C3 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				18B7BE0E233257CC0059F3C3 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		18B7BE11233257CC0059F3C3 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		18B7BE12233257CC0059F3C3 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		18B7BE14233257CC0059F3C3 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = EA9459C39BAF12EE7C30F1EB /* Pods-StructureDemo.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = LW3XCE4F7S;
				INFOPLIST_FILE = StructureDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.structuredemo.app.StructureDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_OBJC_BRIDGING_HEADER = "$(PROJECT_DIR)/$(PROJECT_NAME)/Project Manager/Bridge Header/$(PROJECT_NAME)-Bridging-Header.h";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		18B7BE15233257CC0059F3C3 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 8E31F1D1A447CF2B34AEB961 /* Pods-StructureDemo.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = LW3XCE4F7S;
				INFOPLIST_FILE = StructureDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.structuredemo.app.StructureDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_OBJC_BRIDGING_HEADER = "$(PROJECT_DIR)/$(PROJECT_NAME)/Project Manager/Bridge Header/$(PROJECT_NAME)-Bridging-Header.h";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		18B7BDFC233257CA0059F3C3 /* Build configuration list for PBXProject "StructureDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				18B7BE11233257CC0059F3C3 /* Debug */,
				18B7BE12233257CC0059F3C3 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		18B7BE13233257CC0059F3C3 /* Build configuration list for PBXNativeTarget "StructureDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				18B7BE14233257CC0059F3C3 /* Debug */,
				18B7BE15233257CC0059F3C3 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 18B7BDF9233257CA0059F3C3 /* Project object */;
}
